## com.lowagie.text.html.simpleparser
Class FactoryProperties

    java.lang.Object
      com.lowagie.text.html.simpleparser.FactoryProperties

public class FactoryProperties
extends Object

Author:
  psoares

Field Summary
`static HashMap` `colorTable`
`static HashMap` `followTags`

Constructor Summary
`FactoryProperties()` Creates a new instance of FactoryProperties

Method Summary
`static Chunk` `createChunk(String text, ChainedProperties props)`
`static ListItem` `createListItem(ChainedProperties props)`
`static Paragraph` `createParagraph(ChainedProperties props)`
`static Paragraph` `createParagraph(HashMap props)`
`static void` `createParagraph(Paragraph p, ChainedProperties props)`
`static Color` `decodeColor(String s)`
`static Font` `getFont(ChainedProperties props)`
`private static void` `setParagraphLeading(Paragraph p, String leading)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### colorTable

    public static HashMap colorTable

### followTags

    public static HashMap followTags

Constructor Detail

### FactoryProperties

    public FactoryProperties()

  Creates a new instance of FactoryProperties

Method Detail

### createChunk

    public static Chunk createChunk(String text,
                                    ChainedProperties props)

### setParagraphLeading

    private static void setParagraphLeading(Paragraph p,
                                            String leading)

### createParagraph

    public static Paragraph createParagraph(HashMap props)

### createParagraph

    public static void createParagraph(Paragraph p,
                                       ChainedProperties props)

### createParagraph

    public static Paragraph createParagraph(ChainedProperties props)

### createListItem

    public static ListItem createListItem(ChainedProperties props)

### getFont

    public static Font getFont(ChainedProperties props)

### decodeColor

    public static Color decodeColor(String s)